Subject: RE: scheduling jobs
From: "Gen Zhang" <[email-masked]>
To: <[email-masked]>
Cc: "Karen McLaughlin" <[email-masked]>
Date: Thu, 24 Oct 2002 08:52:10 +0100

I guess I phrased badly last time. To get all the paths automatically
set up, add the '--login' switch on the bash command, so that you get
'bash --login -c <some command>'. The --login will cause bash to read
~/.profile before it starts. The NT version of cron is called 'AT'. I
can't remember the exact syntax, but if you type 'HELP AT' at the
command line in a dos box you will get something (hopefully) helpful.

Genneth

> -----Original Message-----
> From: Karen McLaughlin [mailto:[email-masked]]
> Sent: 24 October 2002 00:10
> To: Harig, Mark A.; Karen McLaughlin; [email-masked]
> Subject: RE: scheduling jobs
> 
> i think i used the wrong term when i said window ...
> bash is working ... i can use a dos window --- and get in --- not a
> problem there --
> i dont know where system path on nt is done -- since dos does seem to
know
> about bash --- i think this has been done (i can look this one up in
nt
> help)
> 
> i guess what i am asking is can i use the nt at command to schedule
the
> bash script ...
> 
> what i did is made a .bat file --- in that file it says
> <path to cygwin bin>bash -c <full path to bash script>
> 
> i just tried running the bat manually to see if it ran my bash script
---
> figured if it did that i would then use at to schedule it ...
> 
> so do i want/need cron or is the above scenario ok???
> 
> I think i tried either bash -i --login or both and i believe what
happened
> then is that it got into bash --- and then didnt know what to do ... i
> will
> double check that and let you know for sure but i know i tried various
> ways
> to try to get these two talking
> 
> so dos does talk to my cygwin --- sorry for the misunderstanding ---
the
> question is more what do i use to schedule --- and do i need to run
cron
> as
> a service or somethin as a service if i do use cron ...
> 
> the cygwin icon is on the start menu --- i cant verify the desktop
right
> now but i will guess yes -- can verify later ... and yes if i click it
it
> launches a dos window and puts me in cygwin (bash) shell ...
> 
> thanks for your time and help ....
> 
> 
> 
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/